>From 1effab7d75c3ac08257c637d8662b4c8b3fdc750 Mon Sep 17 00:00:00 2001
From: Oskari Saarenmaa <os@ohmu.fi>
Date: Tue, 15 Mar 2016 23:45:26 +0200
Subject: [PATCH] misc typofixes in comments

---
 contrib/pgcrypto/sha1.h                        | 2 +-
 contrib/sepgsql/label.c                        | 2 +-
 doc/src/sgml/sources.sgml                      | 2 +-
 src/backend/access/transam/twophase.c          | 2 +-
 src/backend/libpq/auth.c                       | 4 ++--
 src/backend/optimizer/util/relnode.c           | 2 +-
 src/backend/parser/parse_target.c              | 2 +-
 src/backend/storage/buffer/bufmgr.c            | 2 +-
 src/backend/storage/ipc/dsm_impl.c             | 2 +-
 src/backend/storage/ipc/procarray.c            | 2 +-
 src/backend/storage/ipc/shm_mq.c               | 2 +-
 src/backend/utils/adt/json.c                   | 2 +-
 src/backend/utils/adt/windowfuncs.c            | 2 +-
 src/backend/utils/misc/guc.c                   | 4 ++--
 src/bin/pg_dump/compress_io.c                  | 2 +-
 src/bin/pg_dump/parallel.c                     | 2 +-
 src/bin/pg_upgrade/option.c                    | 2 +-
 src/bin/pgbench/pgbench.c                      | 2 +-
 src/include/storage/shm_toc.h                  | 2 +-
 src/interfaces/ecpg/ecpglib/execute.c          | 2 +-
 src/interfaces/ecpg/preproc/parse.pl           | 2 +-
 src/interfaces/ecpg/preproc/type.c             | 2 +-
 src/test/regress/expected/inherit.out          | 4 ++--
 src/test/regress/expected/replica_identity.out | 2 +-
 src/test/regress/sql/inherit.sql               | 4 ++--
 src/test/regress/sql/replica_identity.sql      | 2 +-
 26 files changed, 30 insertions(+), 30 deletions(-)

diff --git a/contrib/pgcrypto/sha1.h b/contrib/pgcrypto/sha1.h
index 5532ca1..2f61e45 100644
--- a/contrib/pgcrypto/sha1.h
+++ b/contrib/pgcrypto/sha1.h
@@ -63,7 +63,7 @@ extern void sha1_pad(struct sha1_ctxt *);
 extern void sha1_loop(struct sha1_ctxt *, const uint8 *, size_t);
 extern void sha1_result(struct sha1_ctxt *, uint8 *);
 
-/* compatibilty with other SHA1 source codes */
+/* compatibility with other SHA1 source codes */
 typedef struct sha1_ctxt SHA1_CTX;
 
 #define SHA1Init(x)		sha1_init((x))
diff --git a/contrib/sepgsql/label.c b/contrib/sepgsql/label.c
index 3e32f1b..e12a0e8 100644
--- a/contrib/sepgsql/label.c
+++ b/contrib/sepgsql/label.c
@@ -161,7 +161,7 @@ sepgsql_set_client_label(const char *new_label)
 /*
  * sepgsql_xact_callback
  *
- * A callback routine of transaction commit/abort/prepare.  Commmit or abort
+ * A callback routine of transaction commit/abort/prepare.  Commit or abort
  * changes in the client_label_pending list.
  */
 static void
diff --git a/doc/src/sgml/sources.sgml b/doc/src/sgml/sources.sgml
index fcb3e40..614defa 100644
--- a/doc/src/sgml/sources.sgml
+++ b/doc/src/sgml/sources.sgml
@@ -860,7 +860,7 @@ BETTER: unrecognized node type: 42
      Code in <productname>PostgreSQL</> should only rely on language
      features available in the C89 standard. That means a conforming
      C89 compiler has to be able to compile postgres, at least aside
-     from a few platform dependant pieces. Features from later
+     from a few platform dependent pieces. Features from later
      revision of the C standard or compiler specific features can be
      used, if a fallback is provided.
     </para>
diff --git a/src/backend/access/transam/twophase.c b/src/backend/access/transam/twophase.c
index c4fd9ef..e7234c8 100644
--- a/src/backend/access/transam/twophase.c
+++ b/src/backend/access/transam/twophase.c
@@ -1613,7 +1613,7 @@ CheckPointTwoPhase(XLogRecPtr redo_horizon)
 	 * transaction manager isn't active.
 	 *
 	 * It's also possible to move I/O out of the lock, but on
-	 * every error we should check whether somebody commited our
+	 * every error we should check whether somebody committed our
 	 * transaction in different backend. Let's leave this optimisation
 	 * for future, if somebody will spot that this place cause
 	 * bottleneck.
diff --git a/src/backend/libpq/auth.c b/src/backend/libpq/auth.c
index 57c2f48..7f1ae8c 100644
--- a/src/backend/libpq/auth.c
+++ b/src/backend/libpq/auth.c
@@ -838,7 +838,7 @@ pg_GSS_recvauth(Port *port)
 
 	/*
 	 * Loop through GSSAPI message exchange. This exchange can consist of
-	 * multiple messags sent in both directions. First message is always from
+	 * multiple messages sent in both directions. First message is always from
 	 * the client. All messages from client to server are password packets
 	 * (type 'p').
 	 */
@@ -1078,7 +1078,7 @@ pg_SSPI_recvauth(Port *port)
 
 	/*
 	 * Loop through SSPI message exchange. This exchange can consist of
-	 * multiple messags sent in both directions. First message is always from
+	 * multiple messages sent in both directions. First message is always from
 	 * the client. All messages from client to server are password packets
 	 * (type 'p').
 	 */
diff --git a/src/backend/optimizer/util/relnode.c b/src/backend/optimizer/util/relnode.c
index 20e4bf7..7e37edf 100644
--- a/src/backend/optimizer/util/relnode.c
+++ b/src/backend/optimizer/util/relnode.c
@@ -501,7 +501,7 @@ build_join_rel(PlannerInfo *root,
 	 * level.
 	 *
 	 * Note that if there are more than two rels in this relation, they could
-	 * be divided between inner_rel and outer_rel in any arbitary way.  We
+	 * be divided between inner_rel and outer_rel in any arbitrary way.  We
 	 * assume this doesn't matter, because we should hit all the same baserels
 	 * and joinclauses while building up to this joinrel no matter which we
 	 * take; therefore, we should make the same decision here however we get
diff --git a/src/backend/parser/parse_target.c b/src/backend/parser/parse_target.c
index ec08e1e..fc93063 100644
--- a/src/backend/parser/parse_target.c
+++ b/src/backend/parser/parse_target.c
@@ -115,7 +115,7 @@ transformTargetEntry(ParseState *pstate,
  *
  * This code acts mostly the same for SELECT, UPDATE, or RETURNING lists;
  * the main thing is to transform the given expressions (the "val" fields).
- * The exprKind parameter distinguishes these cases when necesssary.
+ * The exprKind parameter distinguishes these cases when necessary.
  */
 List *
 transformTargetList(ParseState *pstate, List *targetlist,
diff --git a/src/backend/storage/buffer/bufmgr.c b/src/backend/storage/buffer/bufmgr.c
index 6c5075f..6dd7c6e 100644
--- a/src/backend/storage/buffer/bufmgr.c
+++ b/src/backend/storage/buffer/bufmgr.c
@@ -113,7 +113,7 @@ int			effective_io_concurrency = 0;
 
 /*
  * GUC variables about triggering kernel writeback for buffers written; OS
- * dependant defaults are set via the GUC mechanism.
+ * dependent defaults are set via the GUC mechanism.
  */
 int			checkpoint_flush_after = 0;
 int			bgwriter_flush_after = 0;
diff --git a/src/backend/storage/ipc/dsm_impl.c b/src/backend/storage/ipc/dsm_impl.c
index 5d7b46f..173b982 100644
--- a/src/backend/storage/ipc/dsm_impl.c
+++ b/src/backend/storage/ipc/dsm_impl.c
@@ -34,7 +34,7 @@
  * substantially, but there should be few systems where we must make do
  * with such poor tools.
  *
- * As ever, Windows requires its own implemetation.
+ * As ever, Windows requires its own implementation.
  *
  * Portions Copyright (c) 1996-2016, PostgreSQL Global Development Group
  * Portions Copyright (c) 1994, Regents of the University of California
diff --git a/src/backend/storage/ipc/procarray.c b/src/backend/storage/ipc/procarray.c
index 97e8962..740beb6 100644
--- a/src/backend/storage/ipc/procarray.c
+++ b/src/backend/storage/ipc/procarray.c
@@ -71,7 +71,7 @@ typedef struct ProcArrayStruct
 	 * Known assigned XIDs handling
 	 */
 	int			maxKnownAssignedXids;	/* allocated size of array */
-	int			numKnownAssignedXids;	/* currrent # of valid entries */
+	int			numKnownAssignedXids;	/* current # of valid entries */
 	int			tailKnownAssignedXids;	/* index of oldest valid element */
 	int			headKnownAssignedXids;	/* index of newest element, + 1 */
 	slock_t		known_assigned_xids_lck;		/* protects head/tail pointers */
diff --git a/src/backend/storage/ipc/shm_mq.c b/src/backend/storage/ipc/shm_mq.c
index 094e9fd..7d1c9cd 100644
--- a/src/backend/storage/ipc/shm_mq.c
+++ b/src/backend/storage/ipc/shm_mq.c
@@ -1104,7 +1104,7 @@ shm_mq_inc_bytes_read(volatile shm_mq *mq, Size n)
 	sender = mq->mq_sender;
 	SpinLockRelease(&mq->mq_mutex);
 
-	/* We shoudn't have any bytes to read without a sender. */
+	/* We shouldn't have any bytes to read without a sender. */
 	Assert(sender != NULL);
 	SetLatch(&sender->procLatch);
 }
diff --git a/src/backend/utils/adt/json.c b/src/backend/utils/adt/json.c
index 844db52..f704418 100644
--- a/src/backend/utils/adt/json.c
+++ b/src/backend/utils/adt/json.c
@@ -508,7 +508,7 @@ parse_object(JsonLexContext *lex, JsonSemAction *sem)
 	 */
 	lex->lex_level++;
 
-	/* we know this will succeeed, just clearing the token */
+	/* we know this will succeed, just clearing the token */
 	lex_expect(JSON_PARSE_OBJECT_START, lex, JSON_TOKEN_OBJECT_START);
 
 	tok = lex_peek(lex);
diff --git a/src/backend/utils/adt/windowfuncs.c b/src/backend/utils/adt/windowfuncs.c
index b9c7cff..3c1d3cf 100644
--- a/src/backend/utils/adt/windowfuncs.c
+++ b/src/backend/utils/adt/windowfuncs.c
@@ -67,7 +67,7 @@ rank_up(WindowObject winobj)
 			up = true;
 	}
 
-	/* We can advance the mark, but only *after* acccess to prior row */
+	/* We can advance the mark, but only *after* access to prior row */
 	WinSetMarkPosition(winobj, curpos);
 
 	return up;
diff --git a/src/backend/utils/misc/guc.c b/src/backend/utils/misc/guc.c
index edcafce..f0d4ec1 100644
--- a/src/backend/utils/misc/guc.c
+++ b/src/backend/utils/misc/guc.c
@@ -2391,7 +2391,7 @@ static struct config_int ConfigureNamesInt[] =
 			GUC_UNIT_BLOCKS
 		},
 		&checkpoint_flush_after,
-		/* see bufmgr.h: OS dependant default */
+		/* see bufmgr.h: OS dependent default */
 		DEFAULT_CHECKPOINT_FLUSH_AFTER, 0, WRITEBACK_MAX_PENDING_FLUSHES,
 		NULL, NULL, NULL
 	},
@@ -2403,7 +2403,7 @@ static struct config_int ConfigureNamesInt[] =
 			GUC_UNIT_BLOCKS
 		},
 		&backend_flush_after,
-		/* see bufmgr.h: OS dependant default */
+		/* see bufmgr.h: OS dependent default */
 		DEFAULT_BACKEND_FLUSH_AFTER, 0, WRITEBACK_MAX_PENDING_FLUSHES,
 		NULL, NULL, NULL
 	},
diff --git a/src/bin/pg_dump/compress_io.c b/src/bin/pg_dump/compress_io.c
index a01b03a..4cf0935 100644
--- a/src/bin/pg_dump/compress_io.c
+++ b/src/bin/pg_dump/compress_io.c
@@ -296,7 +296,7 @@ DeflateCompressorZlib(ArchiveHandle *AH, CompressorState *cs, bool flush)
 			if (zp->avail_out < cs->zlibOutSize)
 			{
 				/*
-				 * Any write function shoud do its own error checking but to
+				 * Any write function should do its own error checking but to
 				 * make sure we do a check here as well...
 				 */
 				size_t		len = cs->zlibOutSize - zp->avail_out;
diff --git a/src/bin/pg_dump/parallel.c b/src/bin/pg_dump/parallel.c
index d8bd9a9..9ce7711 100644
--- a/src/bin/pg_dump/parallel.c
+++ b/src/bin/pg_dump/parallel.c
@@ -1262,7 +1262,7 @@ readMessageFromPipe(int fd)
 	int			ret;
 
 	/*
-	 * The problem here is that we need to deal with several possibilites: we
+	 * The problem here is that we need to deal with several possibilities: we
 	 * could receive only a partial message or several messages at once. The
 	 * caller expects us to return exactly one message however.
 	 *
diff --git a/src/bin/pg_upgrade/option.c b/src/bin/pg_upgrade/option.c
index 28d0594..4597355 100644
--- a/src/bin/pg_upgrade/option.c
+++ b/src/bin/pg_upgrade/option.c
@@ -381,7 +381,7 @@ check_required_directory(char **dirpath, char **configpath,
  * adjust_data_dir
  *
  * If a configuration-only directory was specified, find the real data dir
- * by quering the running server.  This has limited checking because we
+ * by querying the running server.  This has limited checking because we
  * can't check for a running server because we can't find postmaster.pid.
  */
 void
diff --git a/src/bin/pgbench/pgbench.c b/src/bin/pgbench/pgbench.c
index e3d0d69..5a3c6cd 100644
--- a/src/bin/pgbench/pgbench.c
+++ b/src/bin/pgbench/pgbench.c
@@ -535,7 +535,7 @@ getExponentialRand(TState *thread, int64 min, int64 max, double parameter)
 	uniform = 1.0 - pg_erand48(thread->random_state);
 
 	/*
-	 * inner expresion in (cut, 1] (if parameter > 0), rand in [0, 1)
+	 * inner expression in (cut, 1] (if parameter > 0), rand in [0, 1)
 	 */
 	Assert((1.0 - cut) != 0.0);
 	rand = -log(cut + (1.0 - cut) * uniform) / parameter;
diff --git a/src/include/storage/shm_toc.h b/src/include/storage/shm_toc.h
index 4673c47..6822f91 100644
--- a/src/include/storage/shm_toc.h
+++ b/src/include/storage/shm_toc.h
@@ -5,7 +5,7 @@
  *
  * This is intended to provide a simple way to divide a chunk of shared
  * memory (probably dynamic shared memory allocated via dsm_create) into
- * a number of regions and keep track of the addreses of those regions or
+ * a number of regions and keep track of the addresses of those regions or
  * key data structures within those regions.  This is not intended to
  * scale to a large number of keys and will perform poorly if used that
  * way; if you need a large number of pointers, store them within some
diff --git a/src/interfaces/ecpg/ecpglib/execute.c b/src/interfaces/ecpg/ecpglib/execute.c
index 6181108..a3ae92e 100644
--- a/src/interfaces/ecpg/ecpglib/execute.c
+++ b/src/interfaces/ecpg/ecpglib/execute.c
@@ -1,7 +1,7 @@
 /* src/interfaces/ecpg/ecpglib/execute.c */
 
 /*
- * The aim is to get a simpler inteface to the database routines.
+ * The aim is to get a simpler interface to the database routines.
  * All the tidieous messing around with tuples is supposed to be hidden
  * by this function.
  */
diff --git a/src/interfaces/ecpg/preproc/parse.pl b/src/interfaces/ecpg/preproc/parse.pl
index da07eeb..e218591 100644
--- a/src/interfaces/ecpg/preproc/parse.pl
+++ b/src/interfaces/ecpg/preproc/parse.pl
@@ -632,7 +632,7 @@ sub preload_addons
 	my $filename = $path . "/ecpg.addons";
 	open(my $fh, '<', $filename) or die;
 
-  # there may be multple lines starting ECPG: and then multiple lines of code.
+  # there may be multiple lines starting ECPG: and then multiple lines of code.
   # the code need to be add to all prior ECPG records.
 	my (@needsRules, @code, $record);
 
diff --git a/src/interfaces/ecpg/preproc/type.c b/src/interfaces/ecpg/preproc/type.c
index 6c26459..0b84b8d 100644
--- a/src/interfaces/ecpg/preproc/type.c
+++ b/src/interfaces/ecpg/preproc/type.c
@@ -446,7 +446,7 @@ ECPGdump_a_simple(FILE *o, const char *name, enum ECPGttype type,
 					sprintf(variable, "&(%s%s)", prefix ? prefix : "", name);
 
 				/*
-				 * If we created a varchar structure atomatically, counter is
+				 * If we created a varchar structure automatically, counter is
 				 * greater than 0.
 				 */
 				if (counter)
diff --git a/src/test/regress/expected/inherit.out b/src/test/regress/expected/inherit.out
index 89b6c1c..d8b5b1d 100644
--- a/src/test/regress/expected/inherit.out
+++ b/src/test/regress/expected/inherit.out
@@ -983,7 +983,7 @@ DETAIL:  drop cascades to table inht2
 drop cascades to table inhts
 drop cascades to table inht3
 drop cascades to table inht4
--- Test non-inheritable indices [UNIQUE, EXCLUDE] contraints
+-- Test non-inheritable indices [UNIQUE, EXCLUDE] constraints
 CREATE TABLE test_constraints (id int, val1 varchar, val2 int, UNIQUE(val1, val2));
 CREATE TABLE test_constraints_inh () INHERITS (test_constraints);
 \d+ test_constraints
@@ -1049,7 +1049,7 @@ Inherits: test_ex_constraints
 
 DROP TABLE test_ex_constraints_inh;
 DROP TABLE test_ex_constraints;
--- Test non-inheritable foreign key contraints
+-- Test non-inheritable foreign key constraints
 CREATE TABLE test_primary_constraints(id int PRIMARY KEY);
 CREATE TABLE test_foreign_constraints(id1 int REFERENCES test_primary_constraints(id));
 CREATE TABLE test_foreign_constraints_inh () INHERITS (test_foreign_constraints);
diff --git a/src/test/regress/expected/replica_identity.out b/src/test/regress/expected/replica_identity.out
index e29e2fb..60d9a42 100644
--- a/src/test/regress/expected/replica_identity.out
+++ b/src/test/regress/expected/replica_identity.out
@@ -65,7 +65,7 @@ SELECT relreplident FROM pg_class WHERE oid = 'test_replica_identity'::regclass;
 (1 row)
 
 ----
--- Make sure index cases succeeed
+-- Make sure index cases succeed
 ----
 -- succeed, primary key
 ALTER TABLE test_replica_identity REPLICA IDENTITY USING INDEX test_replica_identity_pkey;
diff --git a/src/test/regress/sql/inherit.sql b/src/test/regress/sql/inherit.sql
index 793c216..b307a50 100644
--- a/src/test/regress/sql/inherit.sql
+++ b/src/test/regress/sql/inherit.sql
@@ -299,7 +299,7 @@ SELECT a.attrelid::regclass, a.attname, a.attinhcount, e.expected
 DROP TABLE inht1, inhs1 CASCADE;
 
 
--- Test non-inheritable indices [UNIQUE, EXCLUDE] contraints
+-- Test non-inheritable indices [UNIQUE, EXCLUDE] constraints
 CREATE TABLE test_constraints (id int, val1 varchar, val2 int, UNIQUE(val1, val2));
 CREATE TABLE test_constraints_inh () INHERITS (test_constraints);
 \d+ test_constraints
@@ -321,7 +321,7 @@ ALTER TABLE test_ex_constraints DROP CONSTRAINT test_ex_constraints_c_excl;
 DROP TABLE test_ex_constraints_inh;
 DROP TABLE test_ex_constraints;
 
--- Test non-inheritable foreign key contraints
+-- Test non-inheritable foreign key constraints
 CREATE TABLE test_primary_constraints(id int PRIMARY KEY);
 CREATE TABLE test_foreign_constraints(id1 int REFERENCES test_primary_constraints(id));
 CREATE TABLE test_foreign_constraints_inh () INHERITS (test_foreign_constraints);
diff --git a/src/test/regress/sql/replica_identity.sql b/src/test/regress/sql/replica_identity.sql
index 1ea3e80..20b6826 100644
--- a/src/test/regress/sql/replica_identity.sql
+++ b/src/test/regress/sql/replica_identity.sql
@@ -44,7 +44,7 @@ ALTER TABLE test_replica_identity REPLICA IDENTITY USING INDEX test_replica_iden
 SELECT relreplident FROM pg_class WHERE oid = 'test_replica_identity'::regclass;
 
 ----
--- Make sure index cases succeeed
+-- Make sure index cases succeed
 ----
 
 -- succeed, primary key
-- 
2.5.0

